Support » Plugin: Custom Post Template » [Plugin: Custom Post Template] No longer works for 3.1

Viewing 7 replies - 1 through 7 (of 7 total)
  • It’s works on WordPress 3.2.

    I disagree. Doesn’t work with 3.2 or 3.2.1.

    Clean installation. No other plugins or potential conflicts. Running php5.x

    installs ok but the pulldown option to choose your template on the post page doesn’t appear. I rely on this template 🙁

    anyone run into this or found a solution?

    Plugin Author Simon Wheatley

    (@simonwheatley)

    I’ve just tested the plugin on a clean install of WordPress v3.2.1 with the TwentyEleven theme, and everything works as expected.

    One note is that the custom post templates must have the correct header, like the example below, and be in the same directory as the index.php template file for the theme, (i.e. not in any sub-directory/sub-folder of the theme).

    /*
      * Template Name Posts: The name of the template
      */

    Hope this helps.

    @simon – if it must be in the same directory as index.php does that mean that the plugin will not work with child themes?

    Plugin Author Simon Wheatley

    (@simonwheatley)

    Hi Helga, I think that will work. By referring to index.php I was trying to explain that the templates needed to be directly in the theme (or child theme) folder, not in a sub-folder. Hope that helps.

    it does. actually i think i suggested you change from TEMPLATEPATH to STYLESHEETPATH for version 1. how time flies and the memory goes. was having a facepalm moment, but it does work just fine w/ child themes.

    Plugin Author Simon Wheatley

    (@simonwheatley)

    Nice to have a happy customer!

Viewing 7 replies - 1 through 7 (of 7 total)
  • The topic ‘[Plugin: Custom Post Template] No longer works for 3.1’ is closed to new replies.